summaryrefslogtreecommitdiff
path: root/docker/fedora/prepare.sh
diff options
context:
space:
mode:
Diffstat (limited to 'docker/fedora/prepare.sh')
-rw-r--r--docker/fedora/prepare.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/docker/fedora/prepare.sh b/docker/fedora/prepare.sh
index 60f877d..bc13d9d 100644
--- a/docker/fedora/prepare.sh
+++ b/docker/fedora/prepare.sh
@@ -238,3 +238,9 @@ rustc --version
git clone -b ${DEFAULT_BRANCH} https://gitlab.freedesktop.org/gstreamer/gst-build.git /gst-build/
cd /gst-build
meson subprojects download
+
+# Run git gc to prune unwanted refs and reduce the size of the image
+for i in $(find subprojects/ -mindepth 1- maxdepth 1 -type d);
+do
+ git -C $i gc --aggressive || true;
+done \ No newline at end of file